<?php
/**
 * simple menu block class.
*
* @since		5.0.0
* @package	hayyabuild
* @subpackage hayyabuild/includes/blocks
* @author	 zintaThemes <>
*/

if (! defined( 'ABSPATH' ) || class_exists( 'HayyaBuildBlocksList' )) return;

class HayyaBuildBlocksList extends HayyaBuildBlocks
{

	/**
	 * The single instance of HayyaBuild.
	 * @var	 object
	 * @access	private
	 * @since	 3.0.0
	 */
	private static $_instance = false;

	/**
	 * Define the Breadcrumb block class.
	 *
	 * @access		public
	 * @since		1.0.0
	 * @var			unown
	 */
	public function __construct() {
		if ( self::$_instance ) {
			return self::$_instance;
		}
		$this->register_smenu();
		return self::$_instance = true;
	} // End __construct()

	/**
	 * Breadcrumb block
	 */
	private function register_smenu() {
		register_block_type( 'hayyabuild/accordion',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/doublesidedbox',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/featureslist',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/gallerybox',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/modalbox',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/openstreetmap',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/separator',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/social',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/tabs',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
		register_block_type( 'hayyabuild/testimonial',
			[ 'render_callback' => [ $this, 'render_callback' ] ]
		);
	}

	/**
	 * render_callback
	 *
	 * @param		array	 $attributes	The attributes
	 *
	 * @return	 string	( description_of_the_return_value )
	 */
	public function render_callback( $attributes = [] ) {
		return;
	} // End render_callback()

} // End HayyaBuild {} class
